Account
Update Delegate
Add or remove a delegate for the authenticated account
accountstring
Identifies the user who granted delegation
delegatestring
Identifies the user who is granted delegation
delegatedboolean
Whether delegation is being granted (true) or revoked (false)
expiresAtinteger
Prevents update from being filled after specified timestamp
Format
int64Range
0 <= valuenonceinteger
Uniquely identifies the update per-account
Format
int64Range
0 <= valuesignaturesarray<string>
Signatures of account (delegates forbidden)
subaccountIndexinteger
Identifies the subaccount for which delegation is granted
Format
int32Range
0 <= valueResponse Body
application/json
text/plain
text/plain
text/plain
curl -X POST "https://engine.cascade.cooking/account/delegates" \ -H "Content-Type: application/json" \ -d '{ "account": "string", "delegate": "string", "delegated": true, "expiresAt": 0, "nonce": 0, "signatures": [ "string" ], "subaccountIndex": 0 }'null"string""Please add the JWT token to the header""Delegation not allowed for request"